Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230571 - libart_lgpl: art_alloc declaration causes c++ compilations (including kdelibs) to fail
Summary: libart_lgpl: art_alloc declaration causes c++ compilations (including kdelibs...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libart_lgpl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 16:32 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-01 21:33:04 UTC


Attachments (Terms of Use)

Description Rex Dieter 2007-03-01 16:32:08 UTC
Recent versions of libart_lgpl changed the declarations of art_alloc, art_free,
art_realloc from #defines to real functions, but didn't wrap these with with 
extern "C", which can/will cause c++ apps that use libart to fail linking. The
following patch addresses that:

- libart_lgpl-2.3.19/art_misc.h.extern-c      2007-01-02 00:59:22.000000000 
+0100
+++ libart_lgpl-2.3.19/art_misc.h       2007-03-01 09:19:06.000000000 +0100
@@ -34,9 +34,15 @@
 #include <libart_lgpl/art_config.h>
 #endif

+#ifdef __cplusplus
+extern "C" {
+#endif
 void *art_alloc(size_t size);
 void art_free(void *ptr);
 void *art_realloc(void *ptr, size_t size);
+#ifdef __cplusplus
+}
+#endif /* __cplusplus */

Comment 1 Rex Dieter 2007-03-01 16:53:10 UTC
FYI, Just read on the kde-packager ml that this fix has already been applied
upstream, and will (presumably) be included in the next release.  Dunno how long
a new release will take though, so fixing this asap would be appreciated (since
it blocks kdelibs (re)builds).

Comment 2 Behdad Esfahbod 2007-03-01 21:33:04 UTC
Building 2.3.19-2.


Note You need to log in before you can comment on or make changes to this bug.